/// <reference types="react" />
import type { snapPoints } from './types';
/**
 * Hook for determining the size of an element using the Resize Observer API.
 *
 * @param ref - A React ref to an element
 */
export default function useElementSizeObserver(ref: React.RefObject<Element>): {
    width: number;
    height: number;
};
export declare const useViewportHeight: () => number;
export declare function useReducedMotion(): import("react").MutableRefObject<boolean>;
export declare const useMobileSafari: () => RegExpMatchArray;
declare type UseSnapPointsProps = {
    getSnapPoints: snapPoints;
    minHeight: number;
    maxHeight: number;
    currentHeight: number;
    viewportHeight: number;
};
export declare const useSnapPoints: ({ getSnapPoints, minHeight, maxHeight, currentHeight, viewportHeight, }: UseSnapPointsProps) => {
    snapPoints: number[];
    minSnap: number;
    maxSnap: number;
    toSnapPoint: (y: number) => number;
};
declare type UseDimensionsProps = {
    viewportHeight: number;
    headerRef: React.RefObject<Element>;
    contentRef: React.RefObject<Element>;
    footerRef: React.RefObject<Element>;
};
export declare const useDimensions: ({ viewportHeight, headerRef, contentRef, footerRef, }: UseDimensionsProps) => {
    minHeight: number;
    maxHeight: number;
};
interface TransitionState {
    transitionState: 'IDLE' | 'PRERENDER' | 'READY' | 'OPENING' | 'OPEN' | 'DRAGGING';
    focusTrapReady: boolean;
    initialFocusReady: boolean;
    currentHeight: number;
}
declare type TransitionActions = {
    type: 'PRERENDER';
    currentHeight: number;
} | {
    type: 'FOCUS_TRAP_READY';
} | {
    type: 'INITIAL_FOCUS_READY';
} | {
    type: 'OPENING';
} | {
    type: 'OPEN';
    currentHeight: number;
} | {
    type: 'DRAGGING';
};
export declare const useTransitionState: () => [TransitionState, import("react").Dispatch<TransitionActions>];
export declare function usePrevious<T>(value: T): T;
export {};
