import * as React from 'react';
import type { snapPoints, initialHeight, setHeight, SharedProps } from './types';
export declare type ForwardedRefType = {
    setHeight: setHeight;
} & HTMLDivElement;
export declare const BottomSheet: React.ForwardRefExoticComponent<{
    /** Whether the bottom sheet is open or not. */
    isOpen: boolean;
    /** Handler that is called to get the height values that the bottom sheet can *snap* to when the user stops dragging. The function is given `minHeight`, `maxHeight`, `viewportHeight` and `currentHeight` as arguments. */
    snapPoints?: snapPoints;
    /** Handler that is called to get the initial height of the bottom sheet when it's opened (or when the viewport is resized). The function is given `minHeight`, `maxHeight`, `viewportHeight`,`currentHeight` and `snappoints` as arguments. */
    initialHeight?: initialHeight;
    /** Handler that is called after the close transition has ended. Use this to know when it's safe to unmount hte bottom sheet. */
    onCloseTransitionEnd?: () => void;
} & SharedProps & React.RefAttributes<HTMLDivElement>>;
